D2I_DHPARAMS(3)

NAME
d2i_DHparams, i2d_DHparams - PKCS#3 DH parameter functions

SYNOPSIS
 #include <openssl/dh.h>

 DH *d2i_DHparams(DH **a, unsigned char **pp, long length);
 int i2d_DHparams(DH *a, unsigned char **pp);

DESCRIPTION
These functions decode and encode PKCS#3 DH parameters using the DHparameter structure described in PKCS#3.

Otherwise these behave in a similar way to d2i_X509() and i2d_X509() described in the d2i_X509(3) manual page.

RETURN VALUES
d2i_DHparams() returns a valid DH structure or NULL if an error occurred.

i2d_DHparams() returns the length of encoded data on success or a value which is less than or equal to 0 on error.

SEE ALSO
d2i_X509(3)

COPYRIGHT
Copyright 2000-2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.